<?php

namespace App\Console\Commands;

use App\Models\Lead;
use App\Models\Service;
use App\Models\UserLead;
use Illuminate\Console\Command;

class AssignLead extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'assign:lead';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Assign remaining leads to users';

    /**
     * Execute the console command.
     */
    public function handle(): void
    {
        $leads = Lead::where('status', 0)->get();
        if ($leads->count() > 0) {
            foreach ($leads as $lead) {
                // Get all services which have category_id = $lead->category_id
                $services = Service::where('category_id', $lead->category_id)->get();
                if ($services->count() > 0) {
                    foreach ($services as $service) {
                        $userLead = new UserLead();
                        $userLead->user_id = $service->user_id;
                        $userLead->lead_id = $lead->id;
                        $userLead->status = 0;
                        $userLead->save();
                    }
                } else {
                    // Notify Admin
                }
                $lead->status = 1;
                $lead->save();
            }
        }
    }
}
