<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class ThemeController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $locations = [
            'home_slider' => 'Home Slider',
            'login_image' => 'Login Image',
            'register_image' => 'Register Image',
            'forgot_password_image' => 'Forgot Password Image',
            'main_logo' => 'Main Logo',
            'footer_logo' => 'Footer Logo',
        ];

        return view('admin.themes.index', compact('locations'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $locations = [
            'home_slider' => 'Home Slider',
            'login_image' => 'Login Image',
            'register_image' => 'Register Image',
            'forgot_password_image' => 'Forgot Password Image',
            'main_logo' => 'Main Logo',
            'footer_logo' => 'Footer Logo',
        ];

        foreach ($locations as $key => $location) {
            if ($request->hasFile($key)) {
                $filename = $key . '.png';
                $file = $request->file($key);
                $file->move(public_path('images'), $filename);
            }
        }

        return redirect()->route('a.themes.index')->with('success', 'Theme images updated successfully.');
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
