<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use App\Models\Service;
use App\Models\Token;
use App\Models\UserLead;
use App\Models\Wallet;
use Illuminate\Http\Request;

class DashboardController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $lead = UserLead::where('status', '0')->my()->count();
        $token = Token::my()->first()->token;
        $services = Service::my()->count();
        $balance = Wallet::my()->first()->balance;
        $newLeads = UserLead::with('lead')->where('status', '0')->my()->latest()->paginate(10);
        $purchasedLeads = UserLead::with('lead')->where('status', '1')->my()->latest()->paginate(10);
        return view('user.dashboard.index', compact('lead', 'token', 'services', 'balance', 'newLeads', 'purchasedLeads'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
