<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use App\Models\Lead;
use App\Models\Token;
use App\Models\UserLead;
use Illuminate\Http\Request;

class LeadsController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $newLeads = UserLead::with('lead')->where('status', '0')->my()->latest()->paginate(10);
        $purchasedLeads = UserLead::with('lead')->where('status', '1')->my()->latest()->paginate(10);
        return view('user.leads.index', compact('newLeads', 'purchasedLeads'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function purchase(Request $request, $id)
    {
        $lead = Lead::find($id);

        // Check user token
        $token = Token::my()->first();
        $leadper = env('TOKEN_PRICE');
        if($token->token < $leadper) {
            return redirect()->route('u.leads.index')->with('error', 'You do not have enough token to purchase this lead.');
        }

        $lead->update([
            'status' => '1',
        ]);
        UserLead::where('lead_id', $id)->where('user_id', auth()->id())
            ->update([
                'status' => '1',
            ]);
        return redirect()->route('u.leads.index')->with('success', 'Lead purchased successfully');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        $lead = Lead::with('user', 'category', 'service')->find($id);
        // dd($lead->toArray());
        return view('user.leads.show', compact('lead'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
