<?php

namespace App\Http\Livewire;

use App\Models\Category;
use Livewire\Component;

class HomeSearch extends Component
{
    public $location;
    public $category;
    public $keyword;
    public $categories;

    public function mount()
    {
        $this->categories = Category::orderBy('name')->get();

        $ip = request()->ip();
        if ($ip == '127.0.0.1' || $ip == '::1') {
            $ip = '103.204.223.132';
        }
        $location = file_get_contents("http://ip-api.com/json/$ip");
        $address = json_decode($location);

        if ($address) {
            $this->location = $address->city . ', ' . $address->regionName;
        } else {
            $this->location = '';
        }
    }

    public function render()
    {
        return view('livewire.home-search');
    }

    public function search()
    {
        $this->validate([
            'location' => 'required',
            'category' => 'required',
            'keyword' => 'required',
        ]);

        $this->emit('openVerifyMobileModal', $this->location, $this->keyword, $this->category);
    }
}
