<?php

namespace App\Http\Middleware;

use Illuminate\Auth\Middleware\Authenticate as Middleware;
use Illuminate\Http\Request;

class Authenticate extends Middleware
{
    /**
     * Get the path the user should be redirected to when they are not authenticated.
     */
    protected function redirectTo(Request $request): ?string
    {
        // if the route name starts with "a." then redirect to the admin login page
        if (str_starts_with($request->route()->getName(), 'a.')) {
            return route('a.login');
        }
        return $request->expectsJson() ? null : route('login');
    }
}
