<?php

namespace App\Jobs;

use App\Models\Lead;
use App\Models\Service;
use App\Models\User;
use App\Models\UserLead;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;

class AssignLeadToUsers implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    /**
     * Create a new job instance.
     */
    public function __construct()
    {
        //
    }

    /**
     * Execute the job.
     */
    public function handle(): void
    {
        // Get all Leads that are not assigned to any user
        $leads = Lead::where('status', 0)->get();
        if ($leads->count() > 0) {
            foreach ($leads as $lead) {
                // Get all services which have category_id = $lead->category_id
                $services = Service::where('category_id', $lead->category_id)->get();
                if ($services->count() > 0) {
                    foreach ($services as $service) {
                        $userLead = new UserLead();
                        $userLead->user_id = $service->user_id;
                        $userLead->lead_id = $lead->id;
                        $userLead->status = 0;
                        $userLead->save();
                    }
                } else {
                    // Notify Admin
                }
                $lead->status = 1;
                $lead->save();
            }
        }
    }
}
