<?php

namespace App\Libraries;

use App\Models\User;
use App\Models\UserDevice;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class Fcm
{

    public function registerDevice($device_token)
    {
        $user = Auth::user();
        UserDevice::updateOrCreate(
            ['user_id' => $user->id],
            ['device_token' => $device_token]
        );

        return response()->json(['Token successfully stored.']);
    }

    public function sendNotification($user, array $data)
    {
        $url = 'https://fcm.googleapis.com/fcm/send';

        $FcmToken = UserDevice::where('user_id', $user)->whereNotNull('device_token')->pluck('device_token')->all();

        $serverKey = 'AAAAhz5YrAM:APA91bEFz2Sl5USrVBnyuBzCP5CcO4l86ZnVhOik1Zx4wcRP2__CZY9og_dj6asfe_3SkuOckrZUAJw-f4IJV4FjRWmwKCvtTNVJoIk-4-TCHer2Y75OpZKcnZfVuj0Hr0HUzFJQGmd9'; // ADD SERVER KEY HERE PROVIDED BY FCM

        $data = [
            "registration_ids" => $FcmToken,
            "notification" => $data
        ];
        $encodedData = json_encode($data);

        $headers = [
            'Authorization:key=' . $serverKey,
            'Content-Type: application/json',
        ];

        $ch = curl_init();

        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
        // Disabling SSL Certificate support temporarly
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $encodedData);
        // Execute post
        $result = curl_exec($ch);
        if ($result === FALSE) {
            die('Curl failed: ' . curl_error($ch));
        }
        // Close connection
        curl_close($ch);
        // FCM response
        dd($result);
    }
}
