<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Lead extends Model
{
    use HasFactory, HasUuids;

    protected $fillable = [
        'name',
        'email',
        'phone',
        'search_query',
        'title',
        'description',
        'ip_address',
        'user_agent',
        'user_id',
        'service_id',
        'category_id',
        'status',
    ];

    public function category()
    {
        return $this->belongsTo(Category::class);
    }

    public function address()
    {
        return $this->belongsTo(Address::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function scopeMy($query)
    {
        return $query->where('user_id', auth()->id());
    }

    public function userLead()
    {
        return $this->hasOne(UserLead::class);
    }

    public function service()
    {
        return $this->belongsTo(Service::class);
    }

    public function scopeNew($query)
    {
        return $query->where('status', '0');
    }
}
