<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Message extends Model
{
    use HasFactory;

    protected $fillable = [
        'sender_id',
        'receiver_id',
        'message',
        'file'
    ];

    public function sender()
    {
        return $this->belongsTo(User::class, 'sender_id');
    }

    public function receiver()
    {
        return $this->belongsTo(User::class, 'receiver_id');
    }

    public function scopeSender($query, $sender_id)
    {
        return $query->where('sender_id', $sender_id);
    }

    public function scopeReceiver($query, $receiver_id)
    {
        return $query->where('receiver_id', $receiver_id);
    }

    
}
