<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Transaction extends Model
{
    use HasFactory;

    protected $fillable = [
        'id',
        'user_id',
        'amount',
        'type',
        'context',
        'status',
    ];

    protected $casts = [
        'payment_details' => 'array',
        'payment_response' => 'array',
        'payment_webhook_response' => 'array',
    ];

    public function scopeMy($query)
    {
        return $query->where('user_id', auth()->id());
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
