<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserLead extends Model
{
    use HasFactory, HasUuids;

    protected $fillable = [
        'user_id',
        'lead_id',
    ];

    public function lead()
    {
        return $this->hasOne(Lead::class, 'id', 'lead_id');
    }

    public function newLead()
    {
        return $this->lead()->where('status', '0');
    }

    public function purchasedLead()
    {
        return $this->lead()->where('status', '1');
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function scopeMy($query)
    {
        return $query->where('user_id', auth()->id());
    }
}
