<x-admin>
    @section('title', 'Blogs')
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="{{ route('a.dashboard') }}">Dashboard</a></li>
                            <li class="breadcrumb-item active">Blogs</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Blogs</h4>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-sm-12">
                                <div class="text-sm-end">
                                    <a type="button" class="btn btn-light mb-2" href="{{ route('a.blogs.create') }}">
                                        <i class="mdi mdi-plus-circle me-1"></i> Add New
                                    </a>
                                </div>
                            </div>
                        </div>

                        <div class="table-responsive">
                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                <thead class="table-light">
                                    <tr>
                                        <th class="all" style="width: 20px;">#</th>
                                        <th width="100">Image</th>
                                        <th class="all">Title</th>
                                        <th>Slug</th>
                                        <th width="100">Status</th>
                                        <th width="150">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse ($blogs as $blog)
                                    <tr>
                                        <td>{{ $loop->iteration + ($blogs->currentPage() - 1) *
                                            $blogs->perPage() }}</td>
                                        <td>
                                            @if ($blog->image)
                                            <img src="{{ asset('storage/' . $blog->image) }}" alt="{{ $blog->title }}"
                                                class="img-fluid rounded" width="100">
                                            @else
                                            <img src="{{ asset('images/no-image.png') }}" alt="{{ $blog->title }}"
                                                class="img-fluid rounded" width="100">
                                            @endif
                                        </td>
                                        <td>{{ $blog->title }}</td>
                                        <td>{{ $blog->slug }}</td>
                                        <td>
                                            @if ($blog->status == 1)
                                            <span class="badge bg-success">Active</span>
                                            @else
                                            <span class="badge bg-danger">Inactive</span>
                                            @endif
                                        </td>
                                        <td class="table-action">
                                            <a href="{{ route('a.blogs.edit', $blog->id) }}" class="action-icon">
                                                <i class="mdi mdi-square-edit-outline"></i>
                                            </a>
                                            <a href="{{ route('a.blogs.destroy', $blog->id) }}" class="action-icon">
                                                <i class="mdi mdi-delete"></i>
                                            </a>
                                        </td>
                                    </tr>
                                    @empty
                                    <tr>
                                        <td colspan="6" class="text-center">No blogs found</td>
                                    </tr>
                                    @endforelse
                                </tbody>
                            </table>
                            {{ $blogs->links('pagination::bootstrap-5') }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @section('js')
    @endsection
</x-admin>