<x-admin>
    @section('title', 'Edit Category')
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="{{ route('a.dashboard') }}">Dashboard</a></li>
                            <li class="breadcrumb-item"><a href="{{ route('a.categories.index') }}">Categories</a></li>
                            <li class="breadcrumb-item active">Edit Category</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Edit Category</h4>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-4">
                <div class="card">
                    <div class="card-body">
                        <h4 class="header-title mb-4">Edit Category</h4>
                        <form action="{{ route('a.categories.update', $category->id) }}" method="post"
                            enctype="multipart/form-data">
                            @csrf
                            @method('PUT')
                            <div class="mb-3">
                                <label for="name" class="form-label">Name</label>
                                <input type="text" class="form-control" id="name" name="name" placeholder="Enter name"
                                    value="{{ old('name', $category->name) }}">
                                @error('name') <span class="text-danger">{{ $message }}</span> @enderror
                            </div>
                            <div class="mb-3">
                                <label for="parent_id" class="form-label">Parent</label>
                                <select class="form-select" id="parent_id" name="parent_id">
                                    <option value="">Select Parent</option>
                                    @forelse ($allCategories as $sCategory)
                                    <option value="{{ $sCategory->id }}" {{ $sCategory->id ==
                                        old('parent_id', $category->parent_id) ?
                                        'selected' : '' }}>{{ $sCategory->name }}</option>
                                    @empty
                                    @endforelse
                                </select>
                                @error('parent_id') <span class="text-danger">{{ $message }}</span>
                                @enderror
                            </div>
                            <div class="mb-3">
                                <label for="image" class="form-label">Image</label>
                                <input type="file" class="form-control" id="image" name="image">
                                @error('image') <span class="text-danger">{{ $message }}</span> @enderror
                            </div>
                            <div class="mb-3">
                                <label for="description" class="form-label">Description</label>
                                <textarea class="form-control" id="description" name="description"
                                    rows="3">{{ old('description', $category->description) }}</textarea>
                                @error('description') <span class="text-danger">{{ $message }}</span>
                                @enderror
                            </div>
                            <div class="mb-3">
                                <label for="status1" class="form-label">Status</label>
                                <select class="form-select" id="status1" name="status">
                                    <option value="1" {{ old('status', $category->status)==1 ? 'selected' : '' }}>
                                        Active
                                    </option>
                                    <option value="0" {{ old('status', $category->status)==0 ? 'selected' : '' }}>
                                        Inactive
                                    </option>
                                </select>
                                @error('status') <span class="text-danger">{{ $message }}</span> @enderror
                            </div>
                            <button type="submit" class="btn btn-primary">Submit</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @section('js')
    @endsection
</x-admin>