<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" data-layout-mode="detached" data-topbar-color="dark"
    data-menu-color="light" data-sidenav-user="true">

<head>
    <meta charset="utf-8" />
    <title>@yield('title') :: {{ config('app.name', 'Laravel') }}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description" />
    <meta content="Coderthemes" name="author" />
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <!-- App favicon -->
    <link rel="shortcut icon" href="{{ asset('assets/admin/images/favicon.ico') }}">

    <!-- Theme Config Js -->
    <script src="{{ asset('assets/admin/js/hyper-config.js') }}"></script>

    <!-- App css -->
    <link href="{{ asset('assets/admin/css/app-modern.min.css') }}" rel="stylesheet" type="text/css" id="app-style" />

    <!-- Icons css -->
    <link href="{{ asset('assets/admin/css/icons.min.css') }}" rel="stylesheet" type="text/css" />
</head>

<body class="authentication-bg">
    <div class="account-pages pt-2 pt-sm-5 pb-4 pb-sm-5">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xxl-4 col-lg-5">
                    <div class="card">

                        <!-- Logo -->
                        <div class="card-header py-4 text-center bg-primary">
                            <a href="/">
                                <span>
                                    <img src="{{ asset('assets/admin/images/logo.png') }}" alt="logo" height="22">
                                </span>
                            </a>
                        </div>

                        <div class="card-body p-4">

                            @if (isset($header))
                            {{ $header }}
                            @endif

                            {{ $slot }}
                        </div>
                    </div>

                    @if (isset($footer))
                    <div class="row mt-3">
                        <div class="col-12 text-center">
                            {{ $footer }}
                        </div>
                    </div>
                    @endif
                    <!-- end row -->

                </div> <!-- end col -->
            </div>
            <!-- end row -->
        </div>
        <!-- end container -->
    </div>
    <!-- end page -->

    <footer class="footer footer-alt">
        &copy; {{ date('Y') }} {{ config('app.name', 'Laravel') }} |
        Powered by <a href="https://www.ipatco.com" target="_blank"> iPatco Inc</a>
    </footer>
    <!-- Vendor js -->
    <script src="{{ asset('assets/admin/js/vendor.min.js') }}"></script>

    <!-- App js -->
    <script src="{{ asset('assets/admin/js/app.min.js') }}"></script>

</body>

</html>