<x-admin>
    @section('title', 'Leads')
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="{{ route('a.dashboard') }}">Dashboard</a></li>
                            <li class="breadcrumb-item active">Leads</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Leads</h4>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">

                        <div class="table-responsive">
                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                <thead class="table-light">
                                    <tr>
                                        <th class="all" style="width: 20px;">#</th>
                                        <th class="all">Name</th>
                                        <th>Email</th>
                                        <th style="width: 150px;">Count</th>
                                        <th style="width: 250px;">Query</th>
                                        <th style="width: 250px;">Category</th>
                                        <th style="width: 50px;">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse ($leads as $lead)
                                    <tr>
                                        <td>{{ $loop->iteration + ($leads->currentPage() - 1) *
                                            $leads->perPage() }}</td>
                                        <td>{{ @$lead->user->name }}</td>
                                        <td>{{ @$lead->user->email }}</td>
                                        <td>
                                            {{ @$lead->user_lead_count }} purchase
                                        </td>
                                        <td>
                                            {{ $lead->search_query }}
                                        <td>
                                            {{ @$lead->category->name }}
                                        </td>
                                        <td class="table-action">
                                            <a href="{{ route('a.leads.show', $lead->id) }}" class="action-icon">
                                                <i class="mdi mdi-eye"></i>
                                            </a>
                                        </td>
                                    </tr>
                                    @empty
                                    <tr>
                                        <td colspan="6" class="text-center">No leads found</td>
                                    </tr>
                                    @endforelse
                                </tbody>
                            </table>
                            {{ $leads->links('pagination::bootstrap-5') }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @section('js')
    @endsection
</x-admin>