<x-admin>
    @section('title', 'Payment Transaction')
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="{{ route('a.dashboard') }}">Dashboard</a></li>
                            <li class="breadcrumb-item active">Payment Transaction</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Payment Transaction</h4>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">

                        <div class="table-responsive">
                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                <thead class="table-light">
                                    <tr>
                                        <th class="all" style="width: 20px;">#</th>
                                        <th class="all">Name</th>
                                        <th>Email</th>
                                        <th style="width: 250px;">Amount</th>
                                        <th style="width: 85px;">Type</th>
                                        <th style="width: 85px;">Status</th>
                                        <th style="width: 85px;">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse ($payments as $payment)
                                    <tr>
                                        <td>{{ $loop->iteration + ($payments->currentPage() - 1) *
                                            $payments->perPage() }}</td>
                                        <td>{{ $payment->user->name }}</td>
                                        <td>{{ $payment->user->email }}</td>
                                        <td>
                                            JPY {{ $payment->amount }}
                                        </td>
                                        <td>
                                            @if ($payment->type == 'deposit')
                                            <span class="badge bg-success">Deposit</span>
                                            @else
                                            <span class="badge bg-danger">Deduct</span>
                                            @endif
                                        <td>
                                            @if ($payment->status == '1')
                                            <span class="badge bg-success">Success</span>
                                            @elseif ($payment->status == '2')
                                            <span class="badge bg-warning">Pending</span>
                                            @elseif ($payment->status == '0' || $payment->status == '')
                                            <span class="badge bg-danger">Failed</span>
                                            @endif
                                        </td>
                                        <td class="table-action">
                                            <a href="{{ route('a.payments.show', $payment->id) }}" class="action-icon">
                                                <i class="mdi mdi-eye"></i>
                                            </a>
                                        </td>
                                    </tr>
                                    @empty
                                    <tr>
                                        <td colspan="6" class="text-center">No payments found</td>
                                    </tr>
                                    @endforelse
                                </tbody>
                            </table>
                            {{ $payments->links('pagination::bootstrap-5') }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @section('js')
    @endsection
</x-admin>