<div class="card">
    <div class="card-header border-b-1">
        <h4 class="card-title">Change Password</h4>
    </div>
    <div class="card-body">
        @if (session('status') === 'password-updated')
        <div class="alert alert-info">
            <p class="mb-0">
                {{ __('Your password has been updated!') }}
            </p>
        </div>
        @endif
        <form method="post" action="{{ route('a.password.update') }}" class="">
            @csrf
            @method('put')
            <div class="mb-3">
                <x-input-label for="current_password" :value="__('Current Password')" class="form-label" />
                <x-text-input id="current_password" name="current_password" type="password" class="form-control"
                    autocomplete="current-password" />
                <x-input-error :messages="$errors->updatePassword->get('current_password')" class="mt-2" />
            </div>

            <div class="mb-3">
                <x-input-label for="password" :value="__('New Password')" class="form-label" />
                <x-text-input id="password" name="password" type="password" class="form-control"
                    autocomplete="new-password" />
                <x-input-error :messages="$errors->updatePassword->get('password')" class="mt-2" />
            </div>

            <div class="mb-3">
                <x-input-label for="password_confirmation" :value="__('Confirm Password')" class="form-label" />
                <x-text-input id="password_confirmation" name="password_confirmation" type="password"
                    class="form-control" autocomplete="new-password" />
                <x-input-error :messages="$errors->updatePassword->get('password_confirmation')" class="mt-2" />
            </div>

            <div class="flex items-center gap-4">
                <x-primary-button>{{ __('Save') }}</x-primary-button>
            </div>
        </form>
    </div>
</div>