<x-admin>
    @section('title', 'Edit Service')
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="{{ route('a.dashboard') }}">Dashboard</a></li>
                            <li class="breadcrumb-item"><a href="{{ route('a.services.index') }}">Services</a></li>
                            <li class="breadcrumb-item active">Edit Service</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Edit Service</h4>
                </div>
            </div>
        </div>

        <form action="{{ route('a.services.update', $service->id) }}" method="post" enctype="multipart/form-data">
            @csrf
            @method('PUT')
            <div class="row">
                <div class="col-md-8">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="header-title mb-4">Edit Service</h4>
                            @if ($errors->any())
                            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                                <ul class="mb-0">
                                    @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>
                            @endif
                            <div class="mb-3">
                                <label for="title" class="form-label">Name</label>
                                <input type="text" class="form-control form-control-lg" id="title" name="title"
                                    placeholder="Enter title" value="{{ old('title', $service->name) }}">
                                @error('title') <span class="text-danger">{{ $message }}</span> @enderror
                            </div>
                            <div class="mb-3">
                                <label for="description" class="form-label">Description</label>
                                <textarea class="form-control editor" id="description" name="description"
                                    rows="3">{{ old('description', $service->description) }}</textarea>
                                @error('description')
                                <span class="text-danger">{{ $message }}</span>
                                @enderror
                            </div>
                            <div class="service-fields mb-3">
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="mb-3">
                                            <label for="title" class="form-label">Full Name
                                                <span class="text-danger">*</span>
                                            </label>
                                            <input class="form-control" type="text" name="name"
                                                value="{{ old('name', $service->user_name) }}">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="mb-3">
                                            <label for="title" class="form-label">Phone Number
                                                <span class="text-danger">*</span>
                                            </label>
                                            <input class="form-control" type="text" name="phone"
                                                value="{{ old('phone', $service->user_phone) }}">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="mb-3">
                                            <label for="title" class="form-label">Email
                                                <span class="text-danger">*</span>
                                            </label>
                                            <input class="form-control" type="text" name="email"
                                                value="{{ old('email', $service->user_email) }}">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label for="title" class="form-label">Address line 1
                                                <span class="text-danger">*</span>
                                            </label>
                                            <input class="form-control" type="text" name="address_line_1"
                                                value="{{ old('address_line_1', $service->address->line_1) }}">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="mb-3">
                                            <label for="title" class="form-label">Address line 2</label>
                                            <input class="form-control" type="text" name="address_line_2"
                                                value="{{ old('address_line_2', $service->address->line_2) }}">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="mb-3">
                                            <label for="title" class="form-label">Country
                                                <span class="text-danger">*</span>
                                            </label>
                                            <select class="form-control" name="country">
                                                <option value="">Select Country</option>
                                                <option value="NP" selected>Nepal</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="mb-3">
                                            <label for="title" class="form-label">State
                                                <span class="text-danger">*</span>
                                            </label>
                                            <input class="form-control" type="text" name="state"
                                                value="{{ old('state', $service->address->state) }}">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="mb-3">
                                            <label for="title" class="form-label">City
                                                <span class="text-danger">*</span>
                                            </label>
                                            <input class="form-control" type="text" name="city"
                                                value="{{ old('city', $service->address->city) }}">
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="mb-3">
                                            <label for="title" class="form-label">Zip Code
                                                <span class="text-danger">*</span>
                                            </label>
                                            <input class="form-control" type="text" name="zip_code"
                                                value="{{ old('zip_code', $service->address->zip_code) }}">
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <input type="hidden" id="txtLat" name="latitude" value="{{ old('latitude', $service->address->latitude) }}">
                                        <input type="hidden" id="txtLng" name="longitude" value="{{ old('longitude', $service->address->longitude) }}">
                                        <div id="map-container" style="width:100%;height:600px; ">
                                            <div style="width: 100%; height: 100%" id="map_canvas"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="card">
                        <div class="card-body">
                            <div class="mb-3">
                                <label for="image" class="form-label">Image</label>
                                <input type="file" class="form-control" id="image" name="image">
                                @error('image') <span class="text-danger">{{ $message }}</span> @enderror
                            </div>
                            <div class="mb-3">
                                <label for="category" class="form-label">Category</label>
                                <select class="form-select" id="category" name="category_id">
                                    <option value="">Select Category</option>
                                    @foreach ($categories as $category)
                                    <option value="{{ $category->id }}" {{ old('category_id', $service->category_id)==$category->id ? 'selected' :
                                        '' }}>
                                        {{ $category->name }}
                                    </option>
                                    @endforeach
                                </select>
                                @error('category_id') <span class="text-danger">{{ $message }}</span>
                                @enderror
                            </div>
                            <div class="mb-3">
                                <label for="status1" class="form-label">Status</label>
                                <select class="form-select" id="status1" name="status">
                                    <option value="1" {{ old('status')==1 ? 'selected' : '' }}>
                                        Active
                                    </option>
                                    <option value="0" {{ old('status')==0 ? 'selected' : '' }}>
                                        Inactive
                                    </option>
                                </select>
                                @error('status') <span class="text-danger">{{ $message }}</span>
                                @enderror
                            </div>
                            <button type="submit" class="btn btn-primary mt-3">Submit</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
    @section('js')
    <script src="https://cdn.ckeditor.com/4.21.0/basic/ckeditor.js"></script>
    <script type="text/javascript"
        src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBWOeF5ZocjjH4-M8GuH3u8hx7zR5QHxak">
    </script>
    <script>
        CKEDITOR.replace( 'description' );
    </script>
    <script type="text/javascript">
        initialize();

        function initialize() {
            var map = new google.maps.Map(document.getElementById('map_canvas'), {
                zoom: 12,
                center: new google.maps.LatLng({{ old('latitude', $service->address->latitude) }}, {{ old('longitude', $service->address->longitude) }}),
                mapTypeId: google.maps.MapTypeId.ROADMAP
            });
            var vMarker = new google.maps.Marker({
                position: new google.maps.LatLng({{ old('latitude', $service->address->latitude) }}, {{ old('longitude', $service->address->longitude) }}),
                draggable: true
            });
            google.maps.event.addListener(vMarker, 'dragend', function (evt) {
                $("#txtLat").val(evt.latLng.lat().toFixed(6));
                $("#txtLng").val(evt.latLng.lng().toFixed(6));
                let url = "https://maps.googleapis.com/maps/api/geocode/json?latlng=" + evt.latLng.lat() + "," + evt.latLng.lng() + "&key=AIzaSyBWOeF5ZocjjH4-M8GuH3u8hx7zR5QHxak";
                $.get({ url: url, success(data) {
                    alert(data.results[0].formatted_address);
                    console.log(data.results[0].formatted_address);
                }});
                map.panTo(evt.latLng);
            });
            map.setCenter(vMarker.position);
            vMarker.setMap(map);
        }
    </script>
    @endsection
</x-admin>