<x-admin>
    @section('title', 'Services')
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="{{ route('a.dashboard') }}">Dashboard</a></li>
                            <li class="breadcrumb-item active">Services</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Services</h4>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-sm-12">
                                <div class="text-sm-end">
                                    <button type="button" class="btn btn-success mb-2 me-1">
                                        <i class="mdi mdi-cog-outline"></i>
                                    </button>
                                    <button type="button" class="btn btn-light mb-2 me-1">Import</button>
                                    <button type="button" class="btn btn-light mb-2">Export</button>
                                </div>
                            </div>
                        </div>

                        <div class="table-responsive">
                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                <thead class="table-light">
                                    <tr>
                                        <th class="all" style="width: 20px;">#</th>
                                        <th width="100">Image</th>
                                        <th class="all">Title</th>
                                        <th>Slug</th>
                                        <th width="100">Status</th>
                                        <th width="150">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse ($services as $service)
                                    <tr>
                                        <td>{{ $loop->iteration + ($services->currentPage() - 1) *
                                            $services->perPage() }}</td>
                                        <td>
                                            @if ($service->image)
                                            <img src="{{ asset('storage/' . $service->image) }}" alt="{{ $service->title }}"
                                                class="img-fluid rounded" width="100">
                                            @else
                                            <img src="{{ asset('images/no-image.png') }}" alt="{{ $service->title }}"
                                                class="img-fluid rounded" width="100">
                                            @endif
                                        </td>
                                        <td>{{ $service->name }}</td>
                                        <td>{{ $service->slug }}</td>
                                        <td>
                                            @if ($service->status == 1)
                                            <span class="badge bg-success">Active</span>
                                            @else
                                            <span class="badge bg-danger">Inactive</span>
                                            @endif
                                        </td>
                                        <td class="table-action">
                                            <a href="{{ route('a.services.edit', $service->id) }}" class="action-icon">
                                                <i class="mdi mdi-square-edit-outline"></i>
                                            </a>
                                            <a href="{{ route('a.services.destroy', $service->id) }}" class="action-icon">
                                                <i class="mdi mdi-delete"></i>
                                            </a>
                                        </td>
                                    </tr>
                                    @empty
                                    <tr>
                                        <td colspan="6" class="text-center">No services found</td>
                                    </tr>
                                    @endforelse
                                </tbody>
                            </table>
                            {{ $services->links('pagination::bootstrap-5') }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @section('js')
    @endsection
</x-admin>