<x-admin>
    @section('title', 'Themes')
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="{{ route('a.dashboard') }}">Dashboard</a></li>
                            <li class="breadcrumb-item active">Themes</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Themes</h4>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        @if ($errors->any())
                        <div class="alert alert-danger alert-dismissible fade show" role="alert">
                            <ul class="mb-0">
                                @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div>
                        @endif
                        <form action="{{ route('a.themes.store') }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            @foreach($locations as $key => $name)
                            <img src="{{ asset('images/' . $key . '.png') }}" alt="{{ $name }}" width="100px">
                            <div class="mb-3">
                                <label for="{{ $key }}" class="form-label">{{ $name }}</label>
                                <input type="file" class="form-control" id="{{ $key }}" name="{{ $key }}"
                                    value="{{ old($key) }}">
                                @error($key) <span class="text-danger">{{ $message }}</span> @enderror
                            </div>
                            @endforeach
                            <button type="submit" class="btn btn-primary">Upload</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @section('js')
    @endsection
</x-admin>