<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>@yield('title') | {{ config('app.name', 'Laravel') }}</title>
    <!-- Favicons -->
    <link type="image/x-icon" href="/assets/web/img/favicon.png" rel="icon">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="/assets/web/css/bootstrap.min.css">
    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="/assets/web/plugins/fontawesome/css/fontawesome.min.css">
    <link rel="stylesheet" href="/assets/web/plugins/fontawesome/css/all.min.css">
    <!-- Select2 CSS -->
    <link rel="stylesheet" href="/assets/web/plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.css">
    <!-- Main CSS -->
    <link rel="stylesheet" href="/assets/web/css/custom.css">
    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
			<script src="/assets/web/js/html5shiv.min.js"></script>
			<script src="/assets/web/js/respond.min.js"></script>
		<![endif]-->
    <style>
        .btn-primary {
            background-color: #e8067c;
            border: 1px solid #e8067c;
        }

        .header .navbar .main-menu-wrapper {
            margin-left: auto;
        }

        .goog-logo-link,
        .goog-te-gadget span {
            display: none !important;
        }

        .goog-te-gadget {
            color: transparent !important;
            font-size: 0;
        }

        .goog-te-banner-frame,
        .skiptranslate {
            display: none !important;
        }

        body {
            top: 0px !important;
        }

        #google_translate_element .skiptranslate {
            display: block !important;
        }

        #google_translate_element select {
            display: block;
            font-size: 14px;
            font-weight: 500;
            columns: #2E3842;
            border: 0px;
            padding: 8px;
            background: #fff;
        }

        .header .header-nav .main-nav li #google_translate_element {
            top: 22px;
            position: absolute;
        }

        @media (min-width: 992px) .header .header-nav .main-nav>li>#google_translate_element {
            line-height: 85px;
            padding: 0 !important;
        }
    </style>
    <script type="text/javascript">
        function googleTranslateElementInit() {
            new google.translate.TranslateElement({pageLanguage: 'en'}, 'google_translate_element');
        }
    </script>

    <script type="text/javascript" src="//translate.google.com/translate_a/element.js?cb=googleTranslateElementInit">
    </script>
    {{-- @laravelPWA --}}

    @livewireStyles
</head>

<body class="{{ Route::currentRouteName() == 'u.messages.index' ? 'chat-page' : '' }}">
    <!-- Main Wrapper -->
    <div class="main-wrapper">
        <!-- Header -->
        @include('layouts.navigation')
        <!-- /Header -->
        {{ $slot }}
        <!-- Footer -->
        <footer class="footer">
            <!-- Footer Top -->
            <div class="footer-top">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-lg-3 col-md-6">
                            <!-- Footer Widget -->
                            <div class="footer-widget footer-about">
                                <div class="footer-logo">
                                    <img src="{{ asset('images/footer_logo.png') }}" alt="logo"
                                        style="width: 250px !important;">
                                </div>
                                <div class="footer-about-content">
                                    <p>
                                        MaisuApp is Japan's finest service marketplace. We help you to hire
                                        trusted professionals to get things done that matter in your life.
                                    </p>
                                    <div class="social-icon">
                                        <ul>
                                            <li>
                                                <a href="{{ env('FB_LINK') }}" target="_blank">
                                                    <i class="fab fa-facebook-f"></i>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="{{ env('TWITTER_LINK') }}" target="_blank">
                                                    <i class="fab fa-twitter"></i>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="{{ env('LINKEDIN_LINK') }}" target="_blank">
                                                    <i class="fab fa-linkedin-in"></i>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="{{ env('INSTAGRAM_LINK') }}" target="_blank">
                                                    <i class="fab fa-instagram"></i>
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <!-- /Footer Widget -->
                        </div>
                        <div class="col-lg-3 col-md-6">
                            <!-- Footer Widget -->
                            {{-- <div class="footer-widget footer-menu">
                                <h2 class="footer-title">For Patients</h2>
                                <ul>
                                    <li><a href="search.html">Search for Doctors</a>
                                    </li>
                                    <li><a href="login.html">Login</a>
                                    </li>
                                    <li><a href="register.html">Register</a>
                                    </li>
                                    <li><a href="booking.html">Booking</a>
                                    </li>
                                    <li><a href="patient-dashboard.html">Patient Dashboard</a>
                                    </li>
                                </ul>
                            </div> --}}
                            <!-- /Footer Widget -->
                        </div>
                        <div class="col-lg-3 col-md-6">
                            <!-- Footer Widget -->
                            {{-- <div class="footer-widget footer-menu">
                                <h2 class="footer-title">For Doctors</h2>
                                <ul>
                                    <li><a href="appointments.html">Appointments</a>
                                    </li>
                                    <li><a href="chat.html">Chat</a>
                                    </li>
                                    <li><a href="login.html">Login</a>
                                    </li>
                                    <li><a href="doctor-register.html">Register</a>
                                    </li>
                                    <li><a href="doctor-dashboard.html">Doctor Dashboard</a>
                                    </li>
                                </ul>
                            </div> --}}
                            <!-- /Footer Widget -->
                        </div>
                        <div class="col-lg-3 col-md-6">
                            <!-- Footer Widget -->
                            <div class="footer-widget footer-contact">
                                <h2 class="footer-title">Contact Us</h2>
                                <div class="footer-contact-info">
                                    {{-- <div class="footer-address"> <span><i class="fas fa-map-marker-alt"></i></span>
                                        <p>3556 Beech Street, San Francisco,
                                            <br>California, CA 94108
                                        </p>
                                    </div>
                                    <p> <i class="fas fa-phone-alt"></i>
                                        +1 315 369 5943</p> --}}
                                    <p class="mb-0"> <i class="fas fa-envelope"></i>
                                        don@maisuapp.com</p>
                                </div>
                            </div>
                            <!-- /Footer Widget -->
                        </div>
                    </div>
                </div>
            </div>
            <!-- /Footer Top -->
            <!-- Footer Bottom -->
            <div class="footer-bottom">
                <div class="container-fluid">
                    <!-- Copyright -->
                    <div class="copyright">
                        <div class="row">
                            <div class="col-md-6 col-lg-6">
                                <div class="copyright-text">
                                    <p class="mb-0">
                                        &copy; {{ date('Y') }} MaisuApp.com. All rights reserved.
                                    </p>
                                </div>
                            </div>
                            <div class="col-md-6 col-lg-6">
                                <!-- Copyright Menu -->
                                <div class="copyright-menu">
                                    <ul class="policy-menu">
                                        <li>
                                            <a href="">Terms and Conditions</a>
                                        </li>
                                        <li>
                                            <a href="">Policy</a>
                                        </li>
                                    </ul>
                                </div>
                                <!-- /Copyright Menu -->
                            </div>
                        </div>
                    </div>
                    <!-- /Copyright -->
                </div>
            </div>
            <!-- /Footer Bottom -->
        </footer>
        <!-- /Footer -->
    </div>
    <!-- /Main Wrapper -->
    @yield('modal')
    <!-- jQuery -->
    <script src="/assets/web/js/jquery-3.6.0.min.js"></script>
    <!-- Bootstrap Core JS -->
    <script src="/assets/web/js/bootstrap.bundle.min.js"></script>
    <!-- Slick JS -->
    <script src="/assets/web/js/slick.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.js"></script>
    <script>
    </script>
    @yield('js')
    <!-- Custom JS -->
    <script src="/assets/web/js/script.js"></script>

    {{-- @yield('firebase') --}}

    @livewireScripts

    @stack('scripts')

    <script>
        Livewire.on('openVerifyMobileModal', function () {
                $('#openVerifyMobileModal').modal('show');
            });
            Livewire.on('closeVerifyMobileModal', function () {
                $('#openVerifyMobileModal').modal('hide');
            });
            Livewire.on('otpVerified', function (location, keyword, category) {
                location.href = '/services?location=' + location + '&keyword=' + keyword + '&category='+category;
            });
            @if(session('showEnquiry') == 'yes')
                var myModal = new bootstrap.Modal(document.getElementById('sendEnqueryModal'), {
                keyboard: false
                })
                myModal.show()
            @endif
    
            function showModal(elem, id, holder = '#service__id'){
                $(holder).val(id);
                var myModal = new bootstrap.Modal(document.getElementById(elem), {
                    keyboard: false
                })
                myModal.show()
            }
    
            function selectTime(time, id){
                $('#time').val(time);
                $('.timing').removeClass('selected');
                $(id).addClass('selected');
                $('#subBtn').removeAttr('disabled');
            }
    
            $('.ajaxForm').submit(function(e){
                e.preventDefault();
                var form = $(this);
                var url = form.attr('action');
                $.ajax({
                    type: "POST",
                    url: url,
                    data: form.serialize(),
                    success: function(data){
                        if(data == 1){
                            location.href = '/services';
                        }
                    }
                });
            });
    </script>
</body>

</html>