<header class="header">
    <nav class="navbar navbar-expand-lg header-nav">
        <div class="navbar-header">
            <a id="mobile_btn" href="javascript:void(0);"> <span class="bar-icon">
                    <span></span>
                    <span></span>
                    <span></span>
                </span>
            </a>
            <a href="" class="navbar-brand logo">
                <img src="{{ asset('images/main_logo.png') }}" class="img-fluid" alt="Logo">
            </a>
        </div>
        <div class="main-menu-wrapper">
            <div class="menu-header">
                <a href="" class="menu-logo">
                    <img src="{{ asset('images/main_logo.png') }}" class="img-fluid" alt="Logo">
                </a>
                <a id="menu_close" class="menu-close" href="javascript:void(0);"> <i class="fas fa-times"></i>
                </a>
            </div>
            <ul class="main-nav">
                <li class="has-submenu {{ request()->is('/') ? 'active' : '' }}">
                    <a href="{{ route('home') }}">Home</a>
                </li>
                <li class="has-submenu">
                    <a href="#">Category <i class="fas fa-chevron-down"></i></a>
                    <ul class="submenu">
                        @forelse (\App\Models\Category::orderBy('name')
                        ->with('children')
                        ->where('parent_id', NULL)
                        ->get() as $category)
                        @if ($category->children->count() > 0)
                        <li class="has-submenu">
                            <a href="{{ route('category', $category->slug) }}">{{ $category->name }}</a>
                            <ul class="submenu">
                                @forelse ($category->children as $child)
                                <li>
                                    <a href="{{ route('category', $child->slug) }}">{{ $child->name }}</a>
                                </li>
                                @empty
                                <li>
                                    <a href="{{ route('category', $category->slug) }}">{{ $category->name }}</a>
                                </li>
                                @endforelse
                            </ul>
                        </li>
                        @else
                        <li>
                            <a href="{{ route('category', $category->slug) }}">{{ $category->name }}</a>
                        </li>
                        @endif
                        @empty

                        @endforelse
                    </ul>
                </li>
                <li>
                    <a href="{{ route('about') }}">About Us</a>
                </li>
                <li>
                    <a href="{{ route('contact') }}">Contact Us</a>
                </li>
                <li>
                    <div id="google_translate_element"></div>
                </li>
                @auth
                <li class="login-link">
                    <a href="{{ route('u.dashboard') }}">Dashboard </a>
                </li>
                <li class="login-link">
                    <a href="{{ route('logout') }}"
                        onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Logout </a>
                </li>
                @else
                <li class="login-link">
                    <a href="{{ route('login') }}">Login / Signup</a>
                </li>
                @endauth
            </ul>
        </div>
        <ul class="nav header-navbar-rht">
            {{-- <li class="nav-item contact-item">
                <div class="header-contact-img"> <i class="far fa-hospital"></i>
                </div>
                <div class="header-contact-detail text-white">
                    <p class="contact-header">Contact</p>
                    <p class="contact-info-header">+1 315 369 5943</p>
                </div>
            </li> --}}
            @auth
            <li class="nav-item">
                <a class="nav-link header-login" href="{{ route('u.dashboard') }}">Dashboard </a>
            </li>
            <li class="nav-item">
                <a class="nav-link header-login" href="{{ route('logout') }}"
                    onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Logout </a>
            </li>
            @else
            <li class="nav-item">
                <a class="nav-link header-login" href="{{ route('login') }}">login / Signup </a>
            </li>
            @endauth
        </ul>
    </nav>
    <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
        @csrf
    </form>
</header>