<div class="col-md-6 search-doctor">
    <div class="search-area bg-white">
        <h2 class="text-center">Search Anything, Anytime</h2>
        <form class="search-input" wire:submit.prevent="search">
            <div class="row">
                <div class="col-12 col-md-12">
                    <div class="form-group">
                        <label>Location</label>
                        <input type="text" class="form-control" wire:model="location">
                        @error('location')
                        <span class="text-danger">{{ $message }}</span>
                        @enderror
                    </div>
                </div>
                <div class="col-12 col-md-12">
                    <div class="form-group">
                        <label>Category</label>
                        <select class="form-select form-control" wire:model="category">
                            <option value="">Select Category</option>
                            @forelse ($categories as $cat)
                            <option value="{{ $cat->id }}">{{ $cat->name }}</option>
                            @empty
                            @endforelse
                        </select>
                        @error('category')
                        <span class="text-danger">{{ $message }}</span>
                        @enderror
                    </div>
                </div>
                <div class="col-12 col-md-12">
                    <div class="form-group">
                        <label>What are you looking for?</label>
                        <input type="text" class="form-control" wire:model="keyword">
                        @error('keyword')
                        <span class="text-danger">{{ $message }}</span>
                        @enderror
                    </div>
                </div>
            </div>
            <div class="submit-section">
                <button type="submit" class="btn btn-primary search-btn submit-btn">
                    <i class="fas fa-spinner fa-spin" wire:loading wire:target="search"></i>
                    Search
                </button>
            </div>
        </form>
    </div>
</div>