<div class="content">
    <div class="container-fluid px-0">
        <div class="row">
            <div class="col-xl-12">
                <div class="chat-window">

                    <!-- Chat Left -->
                    <div class="chat-cont-left">
                        <div class="chat-header">
                            <span>Chats</span>
                            <a href="javascript:void(0)" class="chat-compose">
                                <i class="material-icons">control_point</i>
                            </a>
                        </div>
                        <form class="chat-search">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <i class="fas fa-search"></i>
                                </div>
                                <input type="text" class="form-control rounded-pill" placeholder="Search">
                            </div>
                        </form>
                        <div class="chat-users-list">
                            <div class="chat-scroll">
                                @forelse ($users as $user)
                                <a href="javascript:void(0);" class="media d-flex {{ $active == $user->id?'active':''}}"
                                    wire:click="chat({{ $user->id }})">
                                    <div class="media-img-wrap flex-shrink-0">
                                        <div class="avatar avatar-away">
                                            <img src="/assets/web/img/patients/patient.jpg" alt="User Image"
                                                class="avatar-img rounded-circle">
                                        </div>
                                    </div>
                                    <div class="media-body flex-grow-1">
                                        <div>
                                            <div class="user-name">{{ $user->name }} </div>
                                            <div class="user-last-chat">
                                                {{ $user->message->message ?? '' }}
                                            </div>
                                        </div>
                                        <div>
                                            <div class="last-chat-time block">
                                                {{ $user->message->created_at->diffForHumans() ?? '' }}
                                            </div>
                                        </div>
                                    </div>
                                </a>
                                @empty

                                @endforelse
                            </div>
                        </div>
                    </div>
                    <!-- /Chat Left -->
                    <!-- Chat Right -->
                    <div class="chat-cont-right">
                        @if($chatWith)
                        <div class="chat-header">
                            <a id="back_user_list" href="javascript:void(0)" class="back-user-list">
                                <i class="material-icons">chevron_left</i>
                            </a>
                            <div class="media d-flex">
                                <div class="media-img-wrap flex-shrink-0">
                                    <div class="avatar avatar-online">
                                        <img src="/assets/web/img/patients/patient.jpg" alt="User Image"
                                            class="avatar-img rounded-circle">
                                    </div>
                                </div>
                                <div class="media-body flex-grow-1">
                                    <div class="user-name">{{ $chatWith->name }}</div>
                                </div>
                            </div>
                            <div class="chat-options">
                                <a href="javascript:void(0)" wire:click="call">
                                    <i class="material-icons">local_phone</i>
                                </a>
                                <a href="javascript:void(0)" wire:click="videoCall">
                                    <i class="material-icons">videocam</i>
                                </a>
                            </div>
                        </div>
                        <div class="chat-body" wire:poll.10s="loading">
                            <div class="chat-scroll">
                                <ul class="list-unstyled">
                                    @forelse ($chatMessages as $chat)
                                    @if($chat->sender_id == auth()->user()->id)
                                    <li class="media sent d-flex">
                                        <div class="media-body flex-grow-1">
                                            <div class="msg-box">
                                                <div>
                                                    @if($chat->message != '')
                                                    <p>{!! $chat->message !!}</p>
                                                    @else
                                                    <p>
                                                    <div class="chat-msg-attachments">
                                                        <div class="chat-attachment">
                                                            <img src="/assets/web/img/file.png" alt="Attachment">
                                                            <a href="/storage/{{ $chat->file }}"
                                                                class="chat-attach-download" download>
                                                                <i class="fas fa-download"></i>
                                                            </a>
                                                        </div>
                                                    </div>
                                                    @endif
                                                    </p>
                                                    <ul class="chat-msg-info">
                                                        <li>
                                                            <div class="chat-time">
                                                                <span>{{ $chat->created_at->format('h:i A') }}</span>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    </li>
                                    @else
                                    <li class="media received d-flex">
                                        <div class="avatar flex-shrink-0">
                                            <img src="/assets/web/img/patients/patient.jpg" alt="User Image"
                                                class="avatar-img rounded-circle">
                                        </div>
                                        <div class="media-body flex-grow-1">
                                            <div class="msg-box">
                                                <div>
                                                    @if($chat->message != '')
                                                    <p>{!! $chat->message !!}</p>
                                                    @else
                                                    <p>
                                                    <div class="chat-msg-attachments">
                                                        <div class="chat-attachment">
                                                            <img src="/assets/web/img/file.png" alt="Attachment">
                                                            <a href="/storage/{{ $chat->file }}"
                                                                class="chat-attach-download" download>
                                                                <i class="fas fa-download"></i>
                                                            </a>
                                                        </div>
                                                    </div>
                                                    @endif
                                                    </p>
                                                    <ul class="chat-msg-info">
                                                        <li>
                                                            <div class="chat-time">
                                                                <span>{{ $chat->created_at->format('h:i A') }}</span>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    </li>
                                    @endif
                                    @empty
                                    <div class="text-center">
                                        <h3>No Messages</h3>
                                    </div>
                                    @endforelse
                                </ul>
                            </div>
                        </div>
                        <div class="chat-footer">
                            <form wire:submit.prevent="sendMessage">
                                <div class="input-group">
                                    <div class="btn-file btn">
                                        <i class="fa fa-paperclip"></i>
                                        <input type="file" wire:model="file" wire:change="uploadFile">
                                    </div>
                                    <input type="text" class="input-msg-send form-control rounded-pill"
                                        placeholder="Type something" wire:model="message">
                                    <button type="submit" class="btn msg-send-btn rounded-pill ms-2">
                                        <i class="fab fa-telegram-plane" wire:loading.remove wire:target="sendMessage"></i>
                                        <i class="fas fa-spinner fa-spin" wire:loading wire:target="sendMessage"></i>
                                    </button>
                                </div>
                            </form>
                        </div>
                        @endif
                    </div>
                </div>
            </div>
        </div>
        <!-- /Row -->

    </div>

</div>