<div class="login-right">
    <style>
        .form-focus .focus-label {
            opacity: 1;
            top: -18px;
            font-size: 12px;
            z-index: 1;
        }

        .input-group-text {
            color: #21252999;
            background-color: #e9ecef87;
            height: 50px;
        }
    </style>
    <div class="login-header">
        <h3>Verify your <span>Mobile</span></h3>
    </div>
    @if($success)
    <div class="alert alert-success">
        <strong>Success!</strong> {{$success}}
    </div>
    @endif
    @if($error)
    <div class="alert alert-danger">
        <strong>Error!</strong> {{$error}}
    </div>
    @endif
    @if(!$otpShow)
    <div id="mobileField">
        @if(!$loggedIn)
        <div class="form-group form-focus mb-4 focused">
            <input type="text" class="form-control floating @error('fullname') is-invalid @enderror"
                wire:model="fullname" name="fullname">
            <label class="focus-label">Full Name</label>
            @error('fullname') <span class="text-danger small">{{ $message }}</span> @enderror
        </div>
        <div class="form-group form-focus mb-4 focused">
            <input type="text" class="form-control floating @error('email') is-invalid @enderror" wire:model="email"
                name="email">
            <label class="focus-label">Email</label>
            @error('email') <span class="text-danger small">{{ $message }}</span> @enderror
        </div>
        <div class="form-group form-focus mb-4 focused">
            <div class="input-group">
                <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">+81</span>
                </div>
                <input type="text" class="form-control floating @error('mobile') is-invalid @enderror" pattern="[0-9]*"
                    inputmode="numeric" wire:model="mobile" name="mobile" style="letter-spacing: 3px" id="mobile">
                <label class="focus-label" style="margin-left: 50px;">Mobile Number</label>
            </div>
            @error('mobile') <span class="text-danger small">{{ $message }}</span> @enderror
        </div>
        <div class="form-check mb-4">
            <input class="form-check-input @error('register_user') is-invalid @enderror" type="checkbox" value=""
                id="flexCheckChecked" wire:model="register_user" name="register_user">
            <label class="focus-label" for="flexCheckChecked">Register new User</label>
            @error('register_user') <span class="text-danger small">{{ $message }}</span> @enderror
        </div>
        {{-- <div class="form-check mb-4">
            <input class="form-check-input @error('use_whatsapp') is-invalid @enderror" type="checkbox" value=""
                id="flexCheckChecked2" wire:model="use_whatsapp" name="use_whatsapp">
            <label class="focus-label" for="flexCheckChecked2">
                <i class="fab fa-whatsapp"></i>
                Receive OTP in Whatsapp
            </label>
            @error('use_whatsapp') <span class="text-danger small">{{ $message }}</span> @enderror
        </div> --}}
        @if($register_user)
        <div class="form-group form-focus mb-4 focused">
            <input type="password" class="form-control floating @error('password') is-invalid @enderror"
                wire:model="password" name="password">
            <label class="focus-label">Password</label>
            @error('password') <span class="text-danger small">{{ $message }}</span> @enderror
        </div>
        <div class="form-group form-focus mb-4 focused">
            <input type="password" class="form-control floating @error('password_confirmation') is-invalid @enderror"
                wire:model="password_confirmation" name="password_confirmation">
            <label class="focus-label">Confirm Password</label>
            @error('password_confirmation') <span class="text-danger small">{{ $message }}</span> @enderror
        </div>
        @endif
        <button class="btn btn-primary btn-block btn-lg login-btn sendOTP" id="btn-sendOTP" type="button"
            wire:click="sendOtp">
            <i class="fas fa-spinner fa-spin" wire:loading wire:target="sendOtp"></i>
            @if($register_user) Register and @endif Send OTP
        </button>
        @else
        <div class="form-group form-focus mb-4 focused">
            <div class="input-group">
                <div class="input-group-prepend">
                    <span class="input-group-text" id="basic-addon1">+81</span>
                </div>
                <input type="text" class="form-control floating @error('mobile') is-invalid @enderror" pattern="[0-9]*"
                    inputmode="numeric" wire:model="mobile" name="mobile" style="letter-spacing: 3px" id="mobile">
                <label class="focus-label" style="margin-left: 50px;">Mobile Number</label>
            </div>
            @error('mobile') <span class="text-danger small">{{ $message }}</span> @enderror
        </div>
        {{-- <div class="form-check mb-4">
            <input class="form-check-input @error('use_whatsapp') is-invalid @enderror" type="checkbox" value=""
                id="flexCheckChecked2" wire:model="use_whatsapp" name="use_whatsapp">
            <label class="focus-label" for="flexCheckChecked2">
                <i class="fab fa-whatsapp"></i>
                Receive OTP in Whatsapp
            </label>
            @error('use_whatsapp') <span class="text-danger small">{{ $message }}</span> @enderror
        </div> --}}
        <button class="btn btn-primary btn-block btn-lg login-btn sendOTP" id="btn-sendOTP" type="button"
            wire:click="sendOtp">
            <i class="fas fa-spinner fa-spin" wire:loading wire:target="sendOtp"></i>
            Send OTP
        </button>
        @endif
    </div>
    @else
    <div id="otpField">
        <form action="index">
            <div class="form-group form-focus">
                <input type="text" class="form-control floating" pattern="[0-9]*" id="otp-field" inputmode="numeric"
                    maxlength="6" wire:model="otp" style="letter-spacing: 3px">
                <label class="focus-label">OTP</label>
            </div>
            <div class="text-right">
                <a class="forgot-link" href="javascript:;" wire:click="resendOtp()">
                    <i class="fas fa-spinner fa-spin" wire:loading wire:target="resendOtp"></i>
                    Resend OTP?
                </a>
            </div>
            <button class="btn btn-primary btn-block btn-lg login-btn" wire:click="verifyOtp()" type="button">
                <i class="fas fa-spinner fa-spin" wire:loading wire:target="verifyOtp"></i>
                Verify
            </button>
        </form>
    </div>
    @endif
</div>


@push('scripts')

@endpush