<x-user>
    @section('title', 'Leads')
    <div class="row">
        <div class="col-md-12">
            <h4 class="mb-4">Leads</h4>
            <div class="appointment-tab">

                <!-- Appointment Tab -->
                <ul class="nav nav-tabs nav-tabs-solid nav-tabs-rounded">
                    <li class="nav-item">
                        <a class="nav-link active" href="#new-leads" data-bs-toggle="tab">New Leads</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#purchased-lead" data-bs-toggle="tab">Purchased Leads</a>
                    </li>
                </ul>
                <!-- /Appointment Tab -->

                <div class="tab-content">

                    @if(session()->has('success'))
                    <div class="alert alert-success alert-dismissible fade show" role="alert">
                        {{ session()->get('success') }}
                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    </div>
                    @endif

                    <!-- Upcoming Appointment Tab -->
                    <div class="tab-pane show active" id="new-leads">
                        <div class="card card-table mb-0">
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-hover table-center mb-0">
                                        <thead>
                                            <tr>
                                                <th width="50">#</th>
                                                <th>Name</th>
                                                <th>Phone</th>
                                                <th>Email</th>
                                                <th width="150">Category</th>
                                                <th class="text-end" width="150">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @forelse ($newLeads as $lead)
                                            <tr>
                                                <td>
                                                    {{ $loop->iteration + ($newLeads->currentPage() - 1) *
                                                    $newLeads->perPage() }}
                                                </td>
                                                <td>
                                                    <h2 class="table-avatar">
                                                        {{ $lead->lead->name }}
                                                    </h2>
                                                </td>
                                                <td>
                                                    {{ $lead->lead->phone }}
                                                </td>
                                                <td>
                                                    {{ $lead->lead->email }}
                                                </td>
                                                <td>
                                                    {{ $lead->lead->category->name }}
                                                </td>
                                                <td class="text-end">
                                                    <div class="table-action">
                                                        <form action="{{ route('u.leads.purchase', $lead->lead->id) }}"
                                                            method="POST" class="d-inline confirm">
                                                            @csrf
                                                            <button type="submit" class="btn btn-sm bg-warning-light">
                                                                <i class="fas fa-shopping-cart"></i> Purchase
                                                            </button>
                                                        </form>
                                                    </div>
                                                </td>
                                            </tr>
                                            @empty
                                            <tr>
                                                <td colspan="6" class="text-center">No new leads found</td>
                                            </tr>
                                            @endforelse
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /Upcoming Appointment Tab -->

                    <!-- Today Appointment Tab -->
                    <div class="tab-pane" id="purchased-lead">
                        <div class="card card-table mb-0">
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-hover table-center mb-0">
                                        <thead>
                                            <tr>
                                                <th width="50">#</th>
                                                <th>Name</th>
                                                <th>Phone</th>
                                                <th>Email</th>
                                                <th width="150">Category</th>
                                                <th class="text-end" width="150">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @forelse ($purchasedLeads as $lead)
                                            <tr>
                                                <td>
                                                    {{ $loop->iteration + ($newLeads->currentPage() - 1) *
                                                    $newLeads->perPage() }}
                                                </td>
                                                <td>
                                                    <h2 class="table-avatar">
                                                        {{ $lead->lead->name }}
                                                    </h2>
                                                </td>
                                                <td>
                                                    {{ $lead->lead->phone }}
                                                </td>
                                                <td>
                                                    {{ $lead->lead->email }}
                                                </td>
                                                <td>
                                                    {{ $lead->lead->category->name }}
                                                </td>
                                                <td class="text-end">
                                                    <div class="table-action">
                                                        <a href="{{ route('u.leads.show', $lead->lead->id) }}"
                                                            class="btn btn-sm bg-info-light">
                                                            <i class="far fa-eye"></i> View
                                                        </a>
                                                    </div>
                                                </td>
                                            </tr>
                                            @empty
                                            <tr>
                                                <td colspan="6" class="text-center">No new leads found</td>
                                            </tr>
                                            @endforelse
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /Today Appointment Tab -->

                </div>
            </div>
        </div>
    </div>

    @section('js')
    <script>
        $('.confirm').submit(function(e){
                e.preventDefault();
                $.confirm({
                    title: 'Confirm!',
                    content: 'Are you sure you want to purchase this lead?',
                    buttons: {
                        no: function () {
                        },
                        somethingElse: {
                            text: 'Yes',
                            btnClass: 'btn-blue',
                            keys: ['enter', 'shift'],
                            action: function(){
                                // remove prevetn default
                                e.currentTarget.submit();
                            }
                        }
                    }
                });
            });
    </script>
    @endsection

</x-user>