<div class="card">
    <div class="card-header border-b-1">
        <h4 class="card-title">Change Password</h4>
    </div>
    <div class="card-body">

        <form id="send-verification" method="post" action="{{ route('verification.send') }}">
            @csrf
        </form>

        @if (session('status') === 'profile-updated')
        <div class="alert alert-info">
            <p class="mb-0">
                {{ __('Your profile information has been updated!') }}
            </p>
        </div>
        @endif

        <form method="post" action="{{ route('u.profile.update') }}" class="mt-6 space-y-6">
            @csrf
            @method('patch')

            <div class="row">
                <div class="col-md-12 col-lg-12 mb-3">
                    <x-input-label for="name" :value="__('Name')" class="form-label" />
                    <x-text-input id="name" name="name" type="text" class="form-control"
                        :value="old('name', $user->name)" required autofocus autocomplete="name" />
                    <x-input-error class="mt-2" :messages="$errors->get('name')" />
                </div>
            </div>

            <div class="row">
                <div class="col-md-12 col-lg-12 mb-3">
                    <x-input-label for="email" :value="__('Email')" class="form-label" />
                    <x-text-input id="email" name="email" type="email" class="form-control"
                        :value="old('email', $user->email)" required autocomplete="username" />
                    <x-input-error class="mt-2" :messages="$errors->get('email')" />

                    @if ($user instanceof \Illuminate\Contracts\Auth\MustVerifyEmail && ! $user->hasVerifiedEmail())
                    <div>
                        <p class="text-sm mt-2 text-gray-800">
                            {{ __('Your email address is unverified.') }}

                            <button form="send-verification" class="text-danger btn btn-link btn-sm">
                                {{ __('Click here to re-send the verification email.') }}
                            </button>
                        </p>

                        @if (session('status') === 'verification-link-sent')
                        <div class="alert alert-info">
                            <p class="mb-0">
                                {{ __('A new verification link has been sent to your email address.') }}
                            </p>
                        </div>
                        @endif
                    </div>
                    @endif
                </div>
            </div>

            <div class="flex items-center gap-4">
                <x-primary-button>{{ __('Save') }}</x-primary-button>
            </div>
        </form>
    </div>
</div>