<x-user>
    @section('title', 'Add New Service')
    <div class="row">
        <div class="col-md-12">
            <h4 class="mb-4">Add New Service</h4>
            <div class="appointment-tab">
                <div class="card card-table mb-0">
                    <div class="card-body p-4">
                        @if($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                        @endif
                        <form action="{{ route('u.services.store') }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            <div class="custom-edit-service">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>
                                                Service Title
                                                <span class="text-danger">*</span>
                                            </label>
                                            <input class="form-control" type="text" name="title"
                                                value="{{ old('title') }}">
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Service Description <span class="text-danger">*</span></label>
                                            <textarea class="form-control" name="description"
                                                rows="5">{{ old('description') }}</textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="service-fields mb-3">
                                    <div class="row">
                                        <div class="col-lg-4">
                                            <div class="form-group">
                                                <label>Full Name<span class="text-danger">*</span></label>
                                                <input class="form-control" type="text" name="name"
                                                    value="{{ old('name', auth()->user()->name) }}">
                                            </div>
                                        </div>
                                        <div class="col-lg-4">
                                            <div class="form-group">
                                                <label>Phone Number<span class="text-danger">*</span></label>
                                                <input class="form-control" type="text" name="phone"
                                                    value="{{ old('phone', auth()->user()->phone) }}">
                                            </div>
                                        </div>
                                        <div class="col-lg-4">
                                            <div class="form-group">
                                                <label>Email<span class="text-danger">*</span></label>
                                                <input class="form-control" type="text" name="email"
                                                    value="{{ old('email', auth()->user()->email) }}">
                                            </div>
                                        </div>
                                        <div class="col-lg-4">
                                            <div class="form-group">
                                                <label>Image</label>
                                                <input class="form-control" type="file" name="image" value="">
                                            </div>
                                        </div>
                                        <div class="col-lg-4">
                                            <div class="form-group">
                                                <label>Category<span class="text-danger">*</span></label>
                                                <select class="form-control" name="category_id">
                                                    <option value="">Select Category</option>
                                                    @forelse ($categories as $category)
                                                    <option value="{{ $category->id }}" {{
                                                        old('category_id')==$category->id ? 'selected' : '' }}>
                                                        {{ $category->name }}
                                                    </option>
                                                    @empty
                                                    <option value="">No Category Found</option>
                                                    @endforelse
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="form-group">
                                                <label>Address line 1<span class="text-danger">*</span></label>
                                                <input class="form-control" type="text" name="address_line_1" value="{{ old('address_line_1') }}">
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="form-group">
                                                <label>Address line 2</label>
                                                <input class="form-control" type="text" name="address_line_2" value="{{ old('address_line_2') }}">
                                            </div>
                                        </div>
                                        <div class="col-lg-4">
                                            <div class="form-group">
                                                <label>Country<span class="text-danger">*</span></label>
                                                <select class="form-control" name="country">
                                                    <option value="">Select Country</option>
                                                    <option value="NP" selected>Nepal</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-lg-4">
                                            <div class="form-group">
                                                <label>State<span class="text-danger">*</span></label>
                                                <input class="form-control" type="text" name="state" value="{{ old('state') }}">
                                            </div>
                                        </div>
                                        <div class="col-lg-4">
                                            <div class="form-group">
                                                <label>City<span class="text-danger">*</span></label>
                                                <input class="form-control" type="text" name="city" value="{{ old('city') }}">
                                            </div>
                                        </div>
                                        <div class="col-lg-4">
                                            <div class="form-group">
                                                <label>Zip Code<span class="text-danger">*</span></label>
                                                <input class="form-control" type="text" name="zip_code" value="{{ old('zip_code') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <input type="hidden" id="txtLat" name="latitude" value="{{ old('latitude') }}">
                                            <input type="hidden" id="txtLng" name="longitude" value="{{ old('longitude') }}">
                                            <div id="map-container" style="width:100%;height:600px; ">
                                                <div style="width: 100%; height: 100%" id="map_canvas"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="submit-section">
                                    <button class="btn btn-primary" type="submit" name="form_submit" value="submit">
                                        <i class="fa fa-check-circle"></i>
                                        Save Service
                                    </button>
                                </div>
                                <!-- /Add Medicine -->
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @section('js')
    <script src="https://cdn.ckeditor.com/4.21.0/basic/ckeditor.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"
        integrity="sha512-2ImtlRlf2VVmiGZsjm9bEyhjGW4dU7B6TNwh/hx/iSByxNENtj3WVE6o/9Lj4TJeVXPi4bnOIMXFIJJAeufa0A=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script type="text/javascript"
        src="https://maps.googleapis.com/maps/api/js?key=AIzaSyC-JPcqz4WXMGph-luU2JdR56dhcMEHngM">
    </script>
    <script>
        CKEDITOR.replace( 'description' );
    </script>
    <script type="text/javascript">
        $('select').select2({
                width: '100%',
                theme: 'bootstrap-5'
            });
    
            initialize();
    
            function initialize() {
                var map = new google.maps.Map(document.getElementById('map_canvas'), {
                    zoom: 12,
                    center: new google.maps.LatLng({{ old('latitude', 26.9124) }}, {{ old('longitude', 75.7873) }}),
                    mapTypeId: google.maps.MapTypeId.ROADMAP
                });
                var vMarker = new google.maps.Marker({
                    position: new google.maps.LatLng({{ old('latitude', 26.9124) }}, {{ old('longitude', 75.7873) }}),
                    draggable: true
                });
                google.maps.event.addListener(vMarker, 'dragend', function (evt) {
                    $("#txtLat").val(evt.latLng.lat().toFixed(6));
                    $("#txtLng").val(evt.latLng.lng().toFixed(6));
                    let url = "https://maps.googleapis.com/maps/api/geocode/json?latlng=" + evt.latLng.lat() + "," + evt.latLng.lng() + "&key=AIzaSyC-JPcqz4WXMGph-luU2JdR56dhcMEHngM";
                    $.get({ url: url, success(data) {
                        alert(data.results[0].formatted_address);
                        console.log(data.results[0].formatted_address);
                    }});
                    map.panTo(evt.latLng);
                });
                map.setCenter(vMarker.position);
                vMarker.setMap(map);
            }
    </script>
    @endsection

</x-user>