<x-user>
    @section('title', 'Services')
    <div class="row">
        <div class="col-md-12">
            <h4 class="mb-4">Services</h4>
            <div class="appointment-tab">
                <div class="card card-table mb-0">
                    <div class="card-body">
                        <a href="{{ route('u.services.create') }}" class="btn btn-primary m-2">Add New</a>
                        <div class="table-responsive">
                            <table class="table table-hover table-center mb-0">
                                <thead>
                                    <tr>
                                        <th width="50">#</th>
                                        <th>Service Title</th>
                                        <th width="150">Categroy</th>
                                        <th width="150">Date</th>
                                        <th width="150">Status</th>
                                        <th class="text-end" width="150">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse ($services as $service)
                                    <tr>
                                        <td>
                                            {{ $loop->iteration + ($services->currentPage() - 1) * $services->perPage()
                                            }}
                                        </td>
                                        <td>
                                            <h2 class="table-avatar">
                                                <a href="{{ route('u.services.edit', $service->id) }}"
                                                    class="avatar avatar-sm me-2">
                                                    <img class="avatar-img rounded-circle"
                                                        src="/storage/{{ $service->image }}" alt="User Image">
                                                </a>
                                                <a href="{{ route('u.services.edit', $service->id) }}">
                                                    {{ $service->name }}
                                                </a>
                                            </h2>
                                        </td>
                                        <td>
                                            {{ $service->category->name }}
                                        </td>
                                        <td>
                                            {{ $service->created_at->format('d M, Y') }}
                                        </td>
                                        <td>
                                            @if ($service->status == 1)
                                            <span class="badge bg-success-light">Active</span>
                                            @else
                                            <span class="badge bg-danger-light">Inactive</span>
                                            @endif
                                        </td>
                                        <td class="text-end">
                                            <div class="table-action">
                                                <a href="javascript:void(0);" class="btn btn-sm bg-info-light">
                                                    <i class="far fa-eye"></i> View
                                                </a>

                                                <a href="{{ route('u.services.edit', $service->id) }}"
                                                    class="btn btn-sm bg-success-light">
                                                    <i class="fas fa-check"></i> Edit
                                                </a>
                                                <form action="{{ route('u.services.destroy', $service->id) }}"
                                                    method="POST" class="d-inline">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button type="submit" class="btn btn-sm bg-danger-light">
                                                        <i class="fas fa-times"></i> Delete
                                                    </button>
                                                </form>
                                            </div>
                                        </td>
                                    </tr>
                                    @empty
                                    <tr>
                                        <td colspan="7" class="text-center">No data found</td>
                                    </tr>
                                    @endforelse
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    @section('js')
    <script src="/assets/web/js/circle-progress.min.js"></script>
    @endsection

</x-user>