<x-user>
    <div class="row">
        <div class="col-lg-4 d-flex">
            <div class="card flex-fill">
                <div class="card-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="account-card bg-success-light">
                                <span>{{ $token->token }}</span>
                            </div>
                        </div>

                        <div class="col-md-12 text-center">
                            <a data-bs-toggle="modal" data-bs-target="#exampleModal"
                                class="btn btn-primary request_btn">Buy Token</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-sm-12">
            <div class="card">
                <div class="card-body pt-0">
                    <div class="card card-table mb-0">
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-hover table-center mb-0">
                                    <thead>
                                        <tr>
                                            <th width="100">#</th>
                                            <th width="150">Date</th>
                                            <th class="text-center" width="150">Token</th>
                                            <th width="150" class="text-center">Status</th>
                                            <th>Note</th>
                                            <th width="200">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @forelse ($transactions as $transaction)
                                        <tr>
                                            <td>
                                                {{ $loop->iteration +
                                                ($transactions->currentPage()-1)*$transactions->perPage() }}
                                            </td>
                                            <td>{{ $transaction->created_at->format('d M Y') }}</td>
                                            <td class="text-center">
                                                {{ $transaction->token }}
                                            </td>
                                            <td class="text-center">
                                                @if ($transaction->status == 'pending')
                                                <span class="badge rounded-pill bg-warning-light">Pending</span>
                                                @elseif($transaction->status == 'success')
                                                <span class="badge rounded-pill bg-success-light">Success</span>
                                                @elseif($transaction->status == 'failed')
                                                <span class="badge rounded-pill bg-danger-light">Failed</span>
                                                @endif
                                            </td>
                                            <td>
                                                {{ $transaction->note }}
                                            </td>
                                            <td>
                                                <div class="table-action">
                                                    <a href="javascript:void(0);" class="btn btn-sm bg-info-light">
                                                        <i class="far fa-eye"></i> View
                                                    </a>

                                                    <a href="javascript:void(0);" class="btn btn-sm bg-success-light">
                                                        <i class="fas fa-check"></i> Accept
                                                    </a>
                                                    <a href="javascript:void(0);" class="btn btn-sm bg-danger-light">
                                                        <i class="fas fa-times"></i> Cancel
                                                    </a>
                                                </div>
                                            </td>
                                        </tr>
                                        @empty
                                        <tr>
                                            <td colspan="7" class="text-center">No data found</td>
                                        </tr>
                                        @endforelse
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @section('modal')
    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <form method="POST" action="{{ route('u.tokens.store') }}">
                @csrf
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Add Token</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label>Required Token</label>
                            <input type="text" name="token" id="token" class="form-control" maxlength="6"
                                oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');"
                                required>
                            <span class="help-block"></span>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Purchase</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    @endsection

    @section('js')
    <script>
        $(document).ready(function() {
            $('#token').keyup(function() {
                var token = $(this).val();
                var price = {{ env('TOKEN_PRICE') }};
                var total = token * price;
                $('.help-block').html('Total: ¥ ' + total);
            });
        });
    </script>
    @endsection

</x-user>