<x-app-layout>
    @section('title', 'Blogs')
    <!-- Breadcrumb -->
    <div class="breadcrumb-bar">
        <div class="container-fluid">
            <div class="row align-items-center">
                <div class="col-md-12 col-12">
                    <nav aria-label="breadcrumb" class="page-breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="/">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Blogs</li>
                        </ol>
                    </nav>
                    <h2 class="breadcrumb-title">Blogs</h2>
                </div>
            </div>
        </div>
    </div>
    <!-- /Breadcrumb -->

    <!-- Page Content -->
    <div class="content">
        <div class="container">

            <div class="row">
                <div class="col-lg-12 col-md-12">

                    <div class="row blog-grid-row">
                        @forelse($blogs as $blog)
                        <div class="col-md-4 col-sm-12">

                            <!-- Blog Post -->
                            <div class="blog grid-blog">
                                <div class="blog-image">
                                    <a href="{{ route('blog.show', $blog->slug) }}">
                                        <img class="img-fluid" src="{{ asset('storage/' . $blog->image) }}"
                                            alt="{{ $blog->title }}">
                                    </a>
                                </div>
                                <div class="blog-content">
                                    <ul class="entry-meta meta-item">
                                        <li>
                                            <i class="far fa-user"></i>
                                            {{ $blog->admin->name }}
                                        </li>
                                        <li><i class="far fa-clock"></i> {{ $blog->created_at->format('M d, Y') }}
                                    </ul>
                                    <h3 class="blog-title">
                                        <a href="{{ route('blog.show', $blog->slug) }}">
                                            {{ $blog->title }}
                                        </a>
                                    </h3>
                                    <p class="mb-0">
                                        {!! Str::limit($blog->description, 100) !!}
                                    </p>
                                </div>
                            </div>
                            <!-- /Blog Post -->

                        </div>
                        @empty
                        <div class="col-md-12">
                            <div class="alert alert-danger">No blogs found.</div>
                        </div>
                        @endif
                    </div>

                    <!-- Blog Pagination -->
                    <div class="row">
                        <div class="col-md-12">
                            {{ $blogs->links('pagination::bootstrap-5') }}
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <!-- /Page Content -->

</x-app-layout>