<x-app-layout>
    @section('title', $title)
    <!-- Breadcrumb -->
    <div class="breadcrumb-bar">
        <div class="container-fluid">
            <div class="row align-items-center">
                <div class="col-md-8 col-12">
                    <nav aria-label="breadcrumb" class="page-breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index.html">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">{{ $title }}</li>
                        </ol>
                    </nav>
                    <h2 class="breadcrumb-title">{{ $title }}</h2>
                </div>
                <div class="col-md-4 col-12 d-md-block d-none">
                    <div class="sort-by">
                        <span class="sort-title">Sort by</span>
                        <span class="sortby-fliter">
                            <select class="form-select">
                                <option>Select</option>
                                <option class="sorting">Rating</option>
                                <option class="sorting">Popular</option>
                                <option class="sorting">Latest</option>
                                <option class="sorting">Free</option>
                            </select>
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /Breadcrumb -->

    <!-- Page Content -->
    <div class="content">
        <div class="container-fluid">

            <div class="row">
                <div class="col-md-12 col-lg-4 col-xl-3 theiaStickySidebar">
                    <form action="">
                        <!-- Search Filter -->
                        <div class="card search-filter">
                            <div class="card-header">
                                <h4 class="card-title mb-0">Search Filter</h4>
                            </div>
                            <div class="card-body">
                                <div class="filter-widget">
                                    <label>Location</label>
                                    <input type="text" class="form-control" placeholder="Select Location"
                                        name="location" value="{{ $location }}">
                                </div>

                                <div class="filter-widget">
                                    <label>Keyword</label>
                                    <input type="text" class="form-control" placeholder="Enter Keyword" name="keyword"
                                        value="{{ $keyword }}">
                                </div>

                                {{-- <div class="filter-widget">
                                    <h4>Categories</h4>
                                    <div>
                                        <label class="custom_check">
                                            <input type="radio" name="category" name="category" value="0">
                                            <span class="checkmark"></span> All
                                        </label>
                                    </div>
                                    @forelse ($categories as $category)
                                    <div>
                                        <label class="custom_check">
                                            <input type="radio" name="category" name="category" value="1">
                                            <span class="checkmark"></span> {{ $category->name }}
                                        </label>
                                    </div>
                                    @empty

                                    @endforelse
                                </div> --}}

                                <div class="btn-search">
                                    <button type="submit" class="btn w-100">Search</button>
                                </div>
                            </div>
                        </div>
                        <!-- /Search Filter -->
                    </form>

                </div>

                <div class="col-md-12 col-lg-8 col-xl-9">
                    <div class="alert alert-info pb-4">
                        <i class="fa fa-info-circle"></i> Create your own service and share it with the world.
                        <a href="{{ route('u.services.create') }}" class="btn btn-success float-end">
                            <span aria-hidden="true">Add New Personalized Service</span>
                        </a>
                    </div>
                    @forelse ($services as $service)
                    <div class="card">
                        <div class="card-body">
                            <div class="doctor-widget">
                                <div class="doc-info-left">
                                    <div class="doctor-img">
                                        <a href="{{ route('service', $service->slug) }}">
                                            <img src="/storage/{{ $service->image }}" class="img-fluid"
                                                alt="User Image">
                                        </a>
                                    </div>
                                    <div class="doc-info-cont">
                                        <h4 class="doc-name">
                                            <a href="{{ route('service', $service->slug) }}">
                                                {{ $service->name }}
                                            </a>
                                        </h4>
                                        <div class="rating mb-2">
                                            <span
                                                class="badge badge-{{ $service->average_rating < 1 ? 'danger' : ($service->average_rating < 2 ? 'warning' : ($service->average_rating < 3 ? 'info' : ($service->average_rating < 4 ? 'primary' : 'success'))) }}">
                                                {{ $service->average_rating }}
                                            </span>
                                            @for($i = 1; $i <= 5; $i++) <i
                                                class="fas fa-star {{ $i <= $service->average_rating ? 'filled' : '' }}">
                                                </i>
                                                @endfor
                                                <span class="d-inline-block average-rating">({{ $service->total_reviews
                                                    }})</span>
                                        </div>
                                        <div class="clinic-details">
                                            <div class="clini-infos pt-3">

                                                <p class="doc-location mb-2">
                                                    <i class="fas fa-phone-volume me-1"></i>
                                                    {{ substr($service->user_phone, 0, 3) }}{!! str_repeat('&#215;',
                                                    strlen($service->user_phone) -3) !!}
                                                </p>

                                                <p class="doc-location mb-2 text-ellipse">
                                                    <i class="fas fa-map-marker-alt me-1"></i>
                                                    {{ $service->address->city . ', ' . $service->address->state }}
                                                </p>

                                                <p class="doc-location mb-2">
                                                    <i class="fas fa-chevron-right me-1"></i>
                                                    {{ $service->category->name }}
                                                </p>

                                                <p class="doc-location mb-2">
                                                    <i class="fas fa-envelope me-1"></i>
                                                    @php
                                                    $email = explode("@", $service->user_email);
                                                    $email_mask = substr($email[0], 0, 3) . str_repeat('&#215;',
                                                    strlen($email[0]) -3);
                                                    $domain = explode(".", $email[1]);
                                                    $domain_mask = str_repeat('&#215;', strlen($domain[0]));
                                                    array_shift($domain);
                                                    $domain1 = implode(".", $domain);
                                                    $email_mask = $email_mask . '@' . $domain_mask . '.' . $domain1;
                                                    @endphp
                                                    {!! $email_mask !!}
                                                </p>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="doc-info-right">
                                    <div class="clinic-booking">
                                        <a class="view-pro-btn" href="{{ route('service', $service->slug) }}">View
                                            Detail</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    @empty
                    <div class="alert alert-danger">
                        <h3 class="text-center">No Service Found</h3>
                    </div>
                    @endforelse
                    <div class="load-more text-center">
                        {{ $services->links('pagination::bootstrap-5') }}
                    </div>
                </div>
            </div>

        </div>

    </div>
    <!-- /Page Content -->

</x-app-layout>