<x-app-layout>
    @section('title', 'Home')
    <!-- Home Banner -->
    <section class="section section-search-2">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <img src="{{ asset('images/home_slider.png') }}" class="img-fluid search-img" alt=""
                        style="max-height: 460px;">
                </div>
                <livewire:home-search />
            </div>
        </div>
    </section>
    <!-- /Home Banner -->
    <!-- Category Section -->
    <section class="section section-category">
        <div class="container">
            <div class="section-header text-center">
                <h2>Browse by Categories</h2>
                <p class="sub-title">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor
                    incididunt ut labore et dolore magna aliqua.</p>
            </div>
            <div class="row">
                @forelse ($categories as $category)
                <div class="col-lg-3">
                    <div class="category-box">
                        <div class="category-image">
                            <img src="/storage/{{ $category->image }}" alt="">
                        </div>
                        <div class="category-content">
                            <h4>{{ $category->name }}</h4>
                            <span>{{ $category->services_count }} Services</span>
                        </div>
                    </div>
                </div>
                @empty
                @endforelse
            </div>
        </div>
    </section>
    <!-- Category Section -->
    <!-- Blog Section -->
    <section class="section section-blogs">
        <div class="container-fluid">
            <!-- Section Header -->
            <div class="section-header text-center">
                <h2>Blogs and News</h2>
                <p class="sub-title">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor
                    incididunt ut labore et dolore magna aliqua.</p>
            </div>
            <!-- /Section Header -->
            <div class="row blog-grid-row">
                @forelse($topBlogs as $blog)
                <div class="col-md-6 col-lg-3 col-sm-12">
                    <!-- Blog Post -->
                    <div class="blog grid-blog">
                        <div class="blog-image">
                            <a href="{{ route('blog.show', $blog->slug) }}">
                                <img class="img-fluid" src="{{ asset('storage/'.$blog->image) }}" alt="Post Image">
                            </a>
                        </div>
                        <div class="blog-content">
                            <ul class="entry-meta meta-item">
                                <li>
                                    <i class="far fa-user"></i>
                                    {{ $blog->admin->name }}
                                </li>
                                <li><i class="far fa-clock"></i> {{ $blog->created_at->diffForHumans() }}</li>
                            </ul>
                            <h3 class="blog-title">
                                <a href="{{ route('blog.show', $blog->slug) }}">
                                    {{ $blog->title }}
                                </a>
                            </h3>
                            <p class="mb-0">
                                {!! Str::limit($blog->description, 100) !!}
                            </p>
                        </div>
                    </div>
                    <!-- /Blog Post -->
                </div>
                @empty
                @endforelse
            </div>
            <div class="view-all text-center"> <a href="{{ route('blogs') }}" class="btn btn-primary">View All</a>
            </div>
        </div>
    </section>
    <!-- /Blog Section -->

    @section('modal')
    <div class="modal fade show" id="openVerifyMobileModal" aria-modal="true" role="dialog">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <!-- Modal Header -->
                <div class="modal-header">
                    <h4 class="modal-title mt-0">Verify your Mobile Number</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" data-dismiss="modal">×</button>
                </div>

                <!-- Modal body -->
                <div class="modal-body">
                    <livewire:verify-mobile />
                </div>
                <!-- Modal footer -->
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-bs-dismiss="modal"
                        data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    @endsection
</x-app-layout>