<x-app-layout>

    <!-- Breadcrumb -->
    <div class="breadcrumb-bar">
        <div class="container-fluid">
            <div class="row align-items-center">
                <div class="col-md-12 col-12">
                    <nav aria-label="breadcrumb" class="page-breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Service Detail</li>
                        </ol>
                    </nav>
                    <h2 class="breadcrumb-title">Service Detail</h2>
                </div>
            </div>
        </div>
    </div>
    <!-- /Breadcrumb -->

    <!-- Page Content -->
    <div class="content">
        <div class="container">

            <!-- Doctor Widget -->
            <div class="card">
                <div class="card-body">
                    <div class="doctor-widget">
                        <div class="doc-info-left">
                            <div class="doctor-img1">
                                <a href="pharmacy-details.html">
                                    <img src="/storage/{{ $service->image }}" class="img-fluid"
                                        style="max-width: 250px;" alt="{{ $service->name }}">
                                </a>
                            </div>
                            <div class="doc-info-cont">
                                <h4 class="doc-name mb-2">{{ $service->name }}</h4>
                                <div class="rating mb-2">
                                    <span
                                        class="badge badge-{{ $service->average_rating < 1 ? 'danger' : ($service->average_rating < 2 ? 'warning' : ($service->average_rating < 3 ? 'info' : ($service->average_rating < 4 ? 'primary' : 'success'))) }}">
                                        {{ $service->average_rating }}
                                    </span>
                                    @for($i = 1; $i <= 5; $i++) <i
                                        class="fas fa-star {{ $i <= $service->average_rating ? 'filled' : '' }}"></i>
                                        @endfor
                                        <span class="d-inline-block average-rating">({{ $service->total_reviews
                                            }})</span>
                                </div>
                                <div class="clinic-details">
                                    <div class="clini-infos pt-3">

                                        <p class="doc-location mb-2">
                                            <i class="fas fa-phone-volume me-1"></i>
                                            {{ substr($service->user_phone, 0, 3) }}{!! str_repeat('&#215;',
                                            strlen($service->user_phone) -3) !!}
                                        </p>

                                        <p class="doc-location mb-2 text-ellipse">
                                            <i class="fas fa-map-marker-alt me-1"></i>
                                            {{ $service->address->city . ', ' . $service->address->state }}
                                        </p>

                                        <p class="doc-location mb-2">
                                            <i class="fas fa-chevron-right me-1"></i>
                                            {{ $service->category->name }}
                                        </p>

                                        <p class="doc-location mb-2">
                                            <i class="fas fa-envelope me-1"></i>
                                            @php
                                            $email = explode("@", $service->user_email);
                                            $email_mask = substr($email[0], 0, 3) . str_repeat('&#215;',
                                            strlen($email[0]) -3);
                                            $domain = explode(".", $email[1]);
                                            $domain_mask = str_repeat('&#215;', strlen($domain[0]));
                                            array_shift($domain);
                                            $domain1 = implode(".", $domain);
                                            $email_mask = $email_mask . '@' . $domain_mask . '.' . $domain1;
                                            @endphp
                                            {!! $email_mask !!}
                                        </p>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <!-- /Doctor Widget -->

            <!-- Doctor Details Tab -->
            <div class="card">
                <div class="card-body pt-0">

                    <!-- Tab Menu -->
                    <nav class="user-tabs mb-4">
                        <ul class="nav nav-tabs nav-tabs-bottom">
                            <li class="nav-item">
                                <a class="nav-link active" href="#doc_overview" data-bs-toggle="tab">
                                    Overview
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="#doc_reviews" data-bs-toggle="tab">
                                    Reviews
                                </a>
                            </li>
                        </ul>
                    </nav>
                    <!-- /Tab Menu -->

                    <!-- Tab Content -->
                    <div class="tab-content pt-0">

                        <div role="tabpanel" id="doc_overview" class="tab-pane fade show active">
                            <div class="row">
                                <div class="col-md-9">
                                    <div class="widget about-widget">
                                        <p>
                                            {!! $service->description !!}
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>

                        {{-- <div role="tabpanel" id="doc_reviews" class="tab-pane fade">

                            <!-- Review Listing -->
                            <div class="widget review-listing">
                                <ul class="comments-list">
                                    @if($reviews->count() > 0)
                                    @foreach($reviews as $review)
                                    <li>
                                        <div class="comment">
                                            <img class="avatar avatar-sm rounded-circle" alt="User Image"
                                                src="{{ $review->user->profile_photo_url }}">
                                            <div class="comment-body">
                                                <div class="meta-data">
                                                    <span class="comment-author">{{ $review->user->name }}</span>
                                                    <span class="comment-date">Reviewed {{
                                                        $review->created_at->diffForHumans() }}</span>
                                                    <div class="review-count rating">
                                                        @for($i = 1; $i <= 5; $i++) <i
                                                            class="fas fa-star {{ $i <= $review->rating ? 'filled' : '' }}">
                                                            </i>
                                                            @endfor
                                                    </div>
                                                </div>
                                                <p class="recommended {{ $review->rating < 2 ? 'text-danger' : '' }}">
                                                    @if($review->rating < 2) <i class="far fa-thumbs-down"></i>
                                                        @else
                                                        <i class="far fa-thumbs-up"></i>
                                                        @endif
                                                        {{ $review->title }}
                                                </p>
                                                <p class="comment-content">
                                                    {{ $review->description }}
                                                </p>
                                                <div class="comment-reply">
                                                    <a class="comment-btn" href="#">
                                                        <i class="fas fa-reply"></i> Reply
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                        @if($review->children->count() > 0)
                                        <ul class="comments-reply">
                                            @foreach($review->children as $child)
                                            <li>
                                                <div class="comment">
                                                    <img class="avatar avatar-sm rounded-circle" alt="User Image"
                                                        src="{{ $child->user->profile_photo_url }}">
                                                    <div class="comment-body">
                                                        <div class="meta-data">
                                                            <span class="comment-author">{{ $child->user->name }}</span>
                                                            <span class="comment-date">Reviewed {{
                                                                $child->created_at->diffForHumans() }}</span>
                                                            <div class="review-count rating">
                                                                @for($i = 1; $i <= 5; $i++) <i
                                                                    class="fas fa-star {{ $i <= $child->rating ? 'filled' : '' }}">
                                                                    </i>
                                                                    @endfor
                                                            </div>
                                                        </div>
                                                        <p
                                                            class="recommended {{ $child->rating < 2 ? 'text-danger' : '' }}">
                                                            @if($child->rating < 2) <i class="far fa-thumbs-down"></i>
                                                                @else
                                                                <i class="far fa-thumbs-up"></i>
                                                                @endif
                                                                {{ $child->title }}
                                                        </p>
                                                        <p class="comment-content">
                                                            {{ $child->description }}
                                                        </p>
                                                    </div>
                                                </div>
                                            </li>
                                            @endforeach
                                        </ul>
                                        @endif
                                    </li>
                                    @endforeach
                                    @else
                                    <li>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="alert alert-info">
                                                    No reviews yet.
                                                </div>
                                            </div>
                                        </div>
                                    </li>
                                    @endif
                                </ul>
                            </div>
                            <!-- /Review Listing -->

                            <!-- Write Review -->
                            <div class="write-review">
                                <h4>Write a review for <strong>{{ $service->name }}</strong></h4>
                                <!-- Write Review Form -->
                                @auth
                                @if($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                                @endif
                                <form method="POST" action="{{ route('services.update', $service->id) }}">
                                    @csrf
                                    @method('PUT')
                                    <div class="form-group">
                                        <label>Review</label>
                                        <br>
                                        <div class="star-rating float-start">
                                            <input id="star-5" type="radio" name="rating" value="5" {{ old('rating')==5
                                                ? 'checked' : '' }}>
                                            <label for="star-5" title="5 stars">
                                                <i class="active fa fa-star"></i>
                                            </label>
                                            <input id="star-4" type="radio" name="rating" value="4" {{ old('rating')==4
                                                ? 'checked' : '' }}>
                                            <label for="star-4" title="4 stars">
                                                <i class="active fa fa-star"></i>
                                            </label>
                                            <input id="star-3" type="radio" name="rating" value="3" {{ old('rating')==3
                                                ? 'checked' : '' }}>
                                            <label for="star-3" title="3 stars">
                                                <i class="active fa fa-star"></i>
                                            </label>
                                            <input id="star-2" type="radio" name="rating" value="2" {{ old('rating')==2
                                                ? 'checked' : '' }}>
                                            <label for="star-2" title="2 stars">
                                                <i class="active fa fa-star"></i>
                                            </label>
                                            <input id="star-1" type="radio" name="rating" value="1" {{ old('rating')==1
                                                ? 'checked' : '' }}>
                                            <label for="star-1" title="1 star">
                                                <i class="active fa fa-star"></i>
                                            </label>
                                        </div>
                                    </div>
                                    <br>
                                    <div class="form-group">
                                        <label>Title of your review</label>
                                        <input class="form-control" type="text"
                                            placeholder="If you could say it in one sentence, what would you say?"
                                            name="title" value="{{ old('title') }}">
                                    </div>
                                    <div class="form-group">
                                        <label>Your review</label>
                                        <textarea id="review_desc" maxlength="100" class="form-control"
                                            name="description">{{ old('description') }}</textarea>

                                        <div class="d-flex justify-content-between mt-3">
                                            <small class="text-muted">
                                                <span id="chars">100</span>
                                                characters remaining
                                            </small>
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="form-group">
                                        <div class="terms-accept">
                                            <div class="custom-checkbox">
                                                <input type="checkbox" id="terms_accept" name="terms_accept" value="1">
                                                <label for="terms_accept">I have read and accept <a href="#">Terms
                                                        &amp; Conditions</a></label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="submit-section">
                                        <button type="submit" class="btn btn-primary submit-btn">Add Review</button>
                                    </div>
                                </form>
                                @else
                                <div class="alert alert-info">
                                    You need to <a href="{{ route('login') }}">login</a> to write a review.
                                </div>
                                @endauth
                            </div>
                            <!-- /Write Review -->

                        </div> --}}
                    </div>
                </div>
            </div>
            <!-- /Doctor Details Tab -->

        </div>
    </div>
    <!-- /Page Content -->
</x-web-layout>