<?php

use App\Http\Controllers\Admin\BlogController;
use App\Http\Controllers\Admin\CategoryController;
use App\Http\Controllers\Admin\DashboardController;
use App\Http\Controllers\Admin\LeadController;
use App\Http\Controllers\Admin\PaymentController;
use App\Http\Controllers\Admin\ProfileController;
use App\Http\Controllers\Admin\ServicesController;
use App\Http\Controllers\Admin\ThemeController;
use App\Http\Controllers\Admin\UserController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/


Route::middleware('auth:admin', 'verified:a.verification.notice')->name('a.')->prefix('dashboard')->group(function () {
    Route::controller(ProfileController::class)->name('profile.')->group(function () {
        Route::get('/profile', 'edit')->name('edit');
        Route::patch('/profile', 'update')->name('update');
        Route::delete('/profile', 'destroy')->name('destroy');
    });

    Route::get('/', [DashboardController::class, 'index'])->name('dashboard');


    // Category
    Route::resource('categories', CategoryController::class);

    // Post
    Route::resource('services', ServicesController::class);

    Route::resource('users', UserController::class);

    Route::resource('payments', PaymentController::class);

    Route::resource('leads', LeadController::class);

    Route::resource('themes', ThemeController::class);

    Route::resource('blogs', BlogController::class);
});
